package com.inkasso.factoring.creditmanagement.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

/**
 * <p>
 * 上游采购单据 历史
 * </p>
 *
 * @author liutao
 * @since 2023-12-01
 */
@TableName("c_upstream_procurement_documents_history")
public class CUpstreamProcurementDocumentsHistory  {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 企业信息id
     */
    @TableField("c_enterprise_history_id")
    private Long cEnterpriseHistoryId;

    /**
     * 合作企业名称
     */
    @TableField("name")
    private String name;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getcEnterpriseHistoryId() {
        return cEnterpriseHistoryId;
    }

    public void setcEnterpriseHistoryId(Long cEnterpriseHistoryId) {
        this.cEnterpriseHistoryId = cEnterpriseHistoryId;
    }
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Override
    public String toString() {
        return "CUpstreamProcurementDocumentsHistory{" +
            "cEnterpriseHistoryId=" + cEnterpriseHistoryId +
            ", name=" + name +
        "}";
    }
}
